## Version Information Version Information — Macros and functions to check the GtkSourceView version |

## Functions

guint | gtk_source_get_major_version ()
guint | gtk_source_get_minor_version ()
guint | gtk_source_get_micro_version ()
gboolean | gtk_source_check_version ()
#define | GTK_SOURCE_CHECK_VERSION()

## Types and Values

#define | GTK_SOURCE_MAJOR_VERSION
#define | GTK_SOURCE_MINOR_VERSION
#define | GTK_SOURCE_MICRO_VERSION
#define | GTK_SOURCE_VERSION_3_0
#define | GTK_SOURCE_VERSION_3_2
#define | GTK_SOURCE_VERSION_3_4
#define | GTK_SOURCE_VERSION_3_6
#define | GTK_SOURCE_VERSION_3_8
#define | GTK_SOURCE_VERSION_3_10
#define | GTK_SOURCE_VERSION_3_12
#define | GTK_SOURCE_VERSION_3_14
#define | GTK_SOURCE_VERSION_3_16
#define | GTK_SOURCE_VERSION_3_18
#define | GTK_SOURCE_VERSION_3_20
#define | GTK_SOURCE_VERSION_3_22
#define | GTK_SOURCE_VERSION_3_24
#define | GTK_SOURCE_VERSION_4_0
#define | GTK_SOURCE_VERSION_MIN_REQUIRED
#define | GTK_SOURCE_VERSION_MAX_ALLOWED

## Includes

    #include <gtksourceview/gtksource.h>

## Description

## Functions

### gtk_source_get_major_version ()

    guint
    gtk_source_get_major_version (void);

Returns the major version number of the GtkSourceView library. (e.g. in GtkSourceView version 3.20.0 this is 3.)

This function is in the library, so it represents the GtkSourceView library your code is running against. Contrast with the GTK_SOURCE_MAJOR_VERSION macro, which represents the major version of the GtkSourceView headers you have included when compiling your code.

#### Returns

the major version number of the GtkSourceView library

Since: 3.20

### gtk_source_get_minor_version ()

    guint
    gtk_source_get_minor_version (void);

Returns the minor version number of the GtkSourceView library. (e.g. in GtkSourceView version 3.20.0 this is 20.)

This function is in the library, so it represents the GtkSourceView library your code is running against. Contrast with the GTK_SOURCE_MINOR_VERSION macro, which represents the minor version of the GtkSourceView headers you have included when compiling your code.

#### Returns

the minor version number of the GtkSourceView library

Since: 3.20

### gtk_source_get_micro_version ()

    guint
    gtk_source_get_micro_version (void);

Returns the micro version number of the GtkSourceView library. (e.g. in GtkSourceView version 3.20.0 this is 0.)

This function is in the library, so it represents the GtkSourceView library your code is running against. Contrast with the GTK_SOURCE_MICRO_VERSION macro, which represents the micro version of the GtkSourceView headers you have included when compiling your code.

#### Returns

the micro version number of the GtkSourceView library

Since: 3.20

### gtk_source_check_version ()

    gboolean
    gtk_source_check_version (guint major,
                              guint minor,
                              guint micro);

Like GTK_SOURCE_CHECK_VERSION, but the check for gtk_source_check_version is at runtime instead of compile time. This is useful for compiling against older versions of GtkSourceView, but using features from newer versions.

#### Parameters

major | the major version to check |
minor | the minor version to check |
micro | the micro version to check |

#### Returns

`TRUE` if the version of the GtkSourceView currently loaded is the same as or newer than the passed-in version.

Since: 3.20

### GTK_SOURCE_CHECK_VERSION()

    #define             GTK_SOURCE_CHECK_VERSION(major, minor, micro)

Macro to test the version of GtkSourceView being compiled against.

#### Parameters

major | major version (e.g. 3 for version 3.20.0) |
minor | minor version (e.g. 20 for version 3.20.0) |
micro | micro version (e.g. 0 for version 3.20.0) |

#### Returns

`TRUE` if the version of the GtkSourceView header files is the same as or newer than the passed-in version.

Since: 3.20

## Types and Values

### GTK_SOURCE_MAJOR_VERSION

    #define GTK_SOURCE_MAJOR_VERSION (4)

Like `gtk_source_get_major_version()`, but from the headers used at application compile time, rather than from the library linked against at application run time.

Since: 3.20

### GTK_SOURCE_MINOR_VERSION

    #define GTK_SOURCE_MINOR_VERSION (8)

Like `gtk_source_get_minor_version()`, but from the headers used at application compile time, rather than from the library linked against at application run time.

Since: 3.20

### GTK_SOURCE_MICRO_VERSION

    #define GTK_SOURCE_MICRO_VERSION (4)

Like `gtk_source_get_micro_version()`, but from the headers used at application compile time, rather than from the library linked against at application run time.

Since: 3.20

### GTK_SOURCE_VERSION_3_0

    #define GTK_SOURCE_VERSION_3_0 (G_ENCODE_VERSION (3, 0))

A macro that evaluates to the 3.0 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_2

    #define GTK_SOURCE_VERSION_3_2 (G_ENCODE_VERSION (3, 2))

A macro that evaluates to the 3.2 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_4

    #define GTK_SOURCE_VERSION_3_4 (G_ENCODE_VERSION (3, 4))

A macro that evaluates to the 3.4 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_6

    #define GTK_SOURCE_VERSION_3_6 (G_ENCODE_VERSION (3, 6))

A macro that evaluates to the 3.6 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_8

    #define GTK_SOURCE_VERSION_3_8 (G_ENCODE_VERSION (3, 8))

A macro that evaluates to the 3.8 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_10

    #define GTK_SOURCE_VERSION_3_10 (G_ENCODE_VERSION (3, 10))

A macro that evaluates to the 3.10 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_12

    #define GTK_SOURCE_VERSION_3_12 (G_ENCODE_VERSION (3, 12))

A macro that evaluates to the 3.12 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_14

    #define GTK_SOURCE_VERSION_3_14 (G_ENCODE_VERSION (3, 14))

A macro that evaluates to the 3.14 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_16

    #define GTK_SOURCE_VERSION_3_16 (G_ENCODE_VERSION (3, 16))

A macro that evaluates to the 3.16 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_18

    #define GTK_SOURCE_VERSION_3_18 (G_ENCODE_VERSION (3, 18))

A macro that evaluates to the 3.18 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_20

    #define GTK_SOURCE_VERSION_3_20 (G_ENCODE_VERSION (3, 20))

A macro that evaluates to the 3.20 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.20

### GTK_SOURCE_VERSION_3_22

    #define GTK_SOURCE_VERSION_3_22 (G_ENCODE_VERSION (3, 22))

A macro that evaluates to the 3.22 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.22

### GTK_SOURCE_VERSION_3_24

    #define GTK_SOURCE_VERSION_3_24 (G_ENCODE_VERSION (3, 24))

A macro that evaluates to the 3.24 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 3.24

### GTK_SOURCE_VERSION_4_0

    #define GTK_SOURCE_VERSION_4_0 (G_ENCODE_VERSION (4, 0))

A macro that evaluates to the 4.0 version of GtkSourceView, in a format that can be used by the C pre-processor.

Since: 4.0

### GTK_SOURCE_VERSION_MIN_REQUIRED

    #define GTK_SOURCE_VERSION_MIN_REQUIRED (GTK_SOURCE_VERSION_CUR_STABLE)

A macro that should be defined by the user prior to including the gtksource.h header. The definition should be one of the predefined version macros: `GTK_SOURCE_VERSION_3_0`, `GTK_SOURCE_VERSION_3_2`, ...

This macro defines the lower bound for the GtkSourceView API to use.

If a function has been deprecated in a newer version of GtkSourceView, defining this symbol hides the compiler warnings for those functions without disabling warnings for the other deprecated functions.

Warning: if you define this macro, do not forget to update it! Especially when writing new code. Otherwise you can miss the new deprecations.

Since: 3.20

### GTK_SOURCE_VERSION_MAX_ALLOWED

    #define GTK_SOURCE_VERSION_MAX_ALLOWED  GTK_SOURCE_VERSION_MIN_REQUIRED

A macro that should be defined by the user prior to including the gtksource.h header. The definition should be one of the predefined version macros: `GTK_SOURCE_VERSION_3_0`, `GTK_SOURCE_VERSION_3_2`, ...

This macro defines the upper bound for the GtkSourceView API to use.

If a function has been introduced in a newer version of GtkSourceView, it is possible to use this symbol to get compiler warnings when trying to use that function.

Since: 3.20